> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Campaign List

> Get the details of all the campaigns you have created.



## OpenAPI

````yaml /openapi-v1.json post /campaign/list
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /campaign/list:
    post:
      tags:
        - Campaigns
      summary: Campaign List
      description: Get the details of all the campaigns you have created.
      operationId: campaign-list
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: application/json
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              description: ''
              type: object
              properties:
                date_from:
                  type: string
                  minLength: 1
                  description: >-
                    When the campaign type is a draft or duplicate, date_from
                    checks modified date; otherwise, date_from checks your
                    scheduled date.


                    Format Y-m-d.
                date_to:
                  type: string
                  minLength: 1
                  description: >-
                    When the campaign type is a draft or duplicate, date_to
                    checks modified date; otherwise, date_to checks your
                    scheduled date.


                    Format Y-m-d.
                limit:
                  type: number
                  description: |-
                    Maximum number of elements to return.

                    Maximum: 100 Minimum: 10
                page:
                  type: number
                  description: >-
                    You can retrieve a subset of records starting from the page
                    value you have specified. You can add a limit, which will
                    determine the number of records you can retrieve on a single
                    page.


                    Starts From: 1
                search:
                  type: string
                  minLength: 1
                  description: Filter campaign list by campaign name
                sender_email:
                  type: string
                  minLength: 1
                  description: Filter campaign list by sender email.
                sort_field:
                  type: string
                  minLength: 1
                  description: |-
                    Sort list data based on the following field.

                    Available sort fields
                    name,schedule_date,open_percentage,
                    modified_date,clicks,opens,sent,unsubscribe
                sort_order:
                  type: string
                  minLength: 1
                  description: |-
                    Sorting order for sort field

                    Available sort orders

                    asc, ASC, desc, DESC 
                status:
                  type: string
                  minLength: 1
                  description: |
                    Filter campaign list by campaign status

                    Available statuses

                    Processing,Queued,Sending,Paused,Finished,
                    Aborted,Duplicate,Draft,Scheduled,Rescheduled,Failed
              required:
                - limit
                - page
            examples:
              example-1:
                value:
                  date_from: '2021-03-01'
                  date_to: '2021-04-30'
                  limit: 10
                  page: 1
                  search: ''
                  sender_email: ''
                  sort_field: name
                  sort_order: asc
                  status: ''
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  count:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      type: object
                      properties:
                        count:
                          type: number
                  data:
                    type: object
                    properties:
                      '0':
                        type: object
                        properties:
                          blacklisted_domains:
                            type: object
                          broken_links:
                            type: object
                          conversion_tracking:
                            type: object
                          created_date:
                            type: string
                            minLength: 1
                          email_preheader:
                            type: string
                            minLength: 1
                          finish_date:
                            type: string
                            minLength: 1
                          html:
                            type: string
                          modified_date:
                            type: string
                            minLength: 1
                          name:
                            type: string
                            minLength: 1
                          pause_rules:
                            type: object
                          permission_reminder:
                            type: string
                          plain_text:
                            type: string
                          recepiant:
                            type: object
                            properties:
                              lists:
                                type: string
                                minLength: 1
                              lists_contact_count:
                                type: number
                              segments:
                                type: string
                              segments_contact_count:
                                type: number
                              total_lists:
                                type: number
                          reply_email:
                            type: string
                            minLength: 1
                          report_abuse:
                            type: boolean
                          report_summary:
                            type: object
                            properties:
                              abuse:
                                type: number
                              abuse_percentage:
                                type: string
                                minLength: 1
                              clicks:
                                type: number
                              clicks_percentage:
                                type: string
                                minLength: 1
                              conversions:
                                type: number
                              conversions_percentage:
                                type: string
                                minLength: 1
                              delivered:
                                type: number
                              delivered_percentage:
                                type: string
                                minLength: 1
                              hard_bounce:
                                type: number
                              hard_bounce_percentage:
                                type: string
                                minLength: 1
                              open_percentage:
                                type: string
                                minLength: 1
                              opens:
                                type: number
                              queue:
                                type: number
                              queue_percentage:
                                type: string
                                minLength: 1
                              queued_total:
                                type: number
                              sent:
                                type: number
                              sent_percentage:
                                type: string
                                minLength: 1
                              soft_bounce:
                                type: number
                              soft_bounce_percentage:
                                type: string
                                minLength: 1
                              spam_complaints_count:
                                type: number
                              spam_complaints_percentage:
                                type: string
                                minLength: 1
                              unsubscribe:
                                type: number
                              unsubscribe_percentage:
                                type: string
                                minLength: 1
                          rule:
                            type: object
                            properties:
                              contacts_order:
                                type: string
                                minLength: 1
                              limit:
                                type: string
                          scheduled_date:
                            type: object
                            properties:
                              date:
                                type: string
                                minLength: 1
                              timezone:
                                type: string
                                minLength: 1
                          sender:
                            type: object
                            properties:
                              sender_email:
                                type: string
                                minLength: 1
                              sender_name:
                                type: string
                                minLength: 1
                          start_date:
                            type: string
                            minLength: 1
                          status:
                            type: string
                            minLength: 1
                          status_change_date:
                            type: string
                            minLength: 1
                          status_change_message:
                            type: string
                          subject:
                            type: string
                            minLength: 1
                          tag:
                            type: string
                            minLength: 1
                          time_rule:
                            type: object
                          type:
                            type: string
                            minLength: 1
                      '1':
                        type: object
                        properties:
                          blacklisted_domains:
                            type: object
                          broken_links:
                            type: object
                          conversion_tracking:
                            type: object
                          created_date:
                            type: string
                            minLength: 1
                          email_preheader:
                            type: string
                            minLength: 1
                          finish_date:
                            type: string
                            minLength: 1
                          html:
                            type: string
                          modified_date:
                            type: string
                            minLength: 1
                          name:
                            type: string
                            minLength: 1
                          pause_rules:
                            type: object
                          permission_reminder:
                            type: string
                          plain_text:
                            type: string
                          recepiant:
                            type: object
                            properties:
                              lists:
                                type: string
                                minLength: 1
                              lists_contact_count:
                                type: number
                              segments:
                                type: string
                              segments_contact_count:
                                type: number
                              total_lists:
                                type: number
                          reply_email:
                            type: string
                            minLength: 1
                          report_abuse:
                            type: boolean
                          report_summary:
                            type: object
                            properties:
                              abuse:
                                type: number
                              abuse_percentage:
                                type: string
                                minLength: 1
                              clicks:
                                type: number
                              clicks_percentage:
                                type: string
                                minLength: 1
                              conversions:
                                type: number
                              conversions_percentage:
                                type: string
                                minLength: 1
                              delivered:
                                type: number
                              delivered_percentage:
                                type: string
                                minLength: 1
                              hard_bounce:
                                type: number
                              hard_bounce_percentage:
                                type: string
                                minLength: 1
                              open_percentage:
                                type: string
                                minLength: 1
                              opens:
                                type: number
                              queue:
                                type: number
                              queue_percentage:
                                type: string
                                minLength: 1
                              queued_total:
                                type: number
                              sent:
                                type: number
                              sent_percentage:
                                type: string
                                minLength: 1
                              soft_bounce:
                                type: number
                              soft_bounce_percentage:
                                type: string
                                minLength: 1
                              spam_complaints_count:
                                type: number
                              spam_complaints_percentage:
                                type: string
                                minLength: 1
                              unsubscribe:
                                type: number
                              unsubscribe_percentage:
                                type: string
                                minLength: 1
                          rule:
                            type: object
                            properties:
                              contacts_order:
                                type: string
                                minLength: 1
                              limit:
                                type: string
                          scheduled_date:
                            type: object
                            properties:
                              date:
                                type: string
                                minLength: 1
                              timezone:
                                type: string
                                minLength: 1
                          sender:
                            type: object
                            properties:
                              sender_email:
                                type: string
                                minLength: 1
                              sender_name:
                                type: string
                                minLength: 1
                          start_date:
                            type: string
                            minLength: 1
                          status:
                            type: string
                            minLength: 1
                          status_change_date:
                            type: string
                            minLength: 1
                          status_change_message:
                            type: string
                          subject:
                            type: string
                            minLength: 1
                          tag:
                            type: string
                            minLength: 1
                          time_rule:
                            type: object
                          type:
                            type: string
                            minLength: 1
              examples:
                example-1:
                  value:
                    count:
                      - count: 2
                    data:
                      '0':
                        blacklisted_domains: {}
                        broken_links: {}
                        conversion_tracking: {}
                        created_date: '2021-04-27 11:31:04'
                        email_preheader: Save more on your Home & Kitchen shopping
                        finish_date: '2021-04-27 15:07:02'
                        html: ''
                        id: BBBghIFI
                        modified_date: '2021-04-27 11:44:15'
                        name: Offer Of The Day
                        pause_rules: {}
                        permission_reminder: ''
                        plain_text: ''
                        recepiant:
                          lists: Subscriber list
                          lists_contact_count: 100000
                          segments: ''
                          segments_contact_count: 0
                          total_lists: 1
                        reply_email: sender@yourdomain.com
                        report_abuse: true
                        report_summary:
                          abuse: 0
                          abuse_percentage: '0.00'
                          clicks: 0
                          clicks_percentage: '0.00'
                          conversions: 0
                          conversions_percentage: '0.00'
                          delivered: 100000
                          delivered_percentage: '100.00'
                          hard_bounce: 0
                          hard_bounce_percentage: '0.00'
                          open_percentage: '15.55'
                          opens: 15548
                          queue: 0
                          queue_percentage: '0.00'
                          queued_total: 100000
                          sent: 100000
                          sent_percentage: '100.00'
                          soft_bounce: 0
                          soft_bounce_percentage: '0.00'
                          spam_complaints_count: 0
                          spam_complaints_percentage: '0.00'
                          unsubscribe: 307
                          unsubscribe_percentage: '1.97'
                        rule:
                          contacts_order: first
                          limit: ''
                        scheduled_date:
                          date: '2021-04-27 17:14:15'
                          timezone: Asia/Kolkata
                        sender:
                          sender_email: sender@yourdomain.com
                          sender_name: Sender Name Shan
                        start_date: '2021-04-27 11:47:04'
                        status: Finished
                        status_change_date: '2021-04-27 15:07:02'
                        status_change_message: ''
                        subject: Amazon offers
                        tag: Amazon offers
                        time_rule: {}
                        type: Normal campaign
                      '1':
                        blacklisted_domains: {}
                        broken_links: {}
                        conversion_tracking: {}
                        created_date: '2021-04-27 11:31:04'
                        email_preheader: How To Make Veg Pizza
                        finish_date: '2021-04-27 15:07:02'
                        html: ''
                        id: BBBghIFI
                        modified_date: '2021-04-27 11:44:15'
                        name: Offer Of The Day
                        pause_rules: {}
                        permission_reminder: ''
                        plain_text: ''
                        recepiant:
                          lists: newsletter subscriber list
                          lists_contact_count: 100000
                          segments: ''
                          segments_contact_count: 0
                          total_lists: 1
                        reply_email: sender@yourdomain.com
                        report_abuse: true
                        report_summary:
                          abuse: 0
                          abuse_percentage: '0.00'
                          clicks: 0
                          clicks_percentage: '0.00'
                          conversions: 0
                          conversions_percentage: '0.00'
                          delivered: 100000
                          delivered_percentage: '100.00'
                          hard_bounce: 0
                          hard_bounce_percentage: '0.00'
                          open_percentage: '15.55'
                          opens: 15548
                          queue: 0
                          queue_percentage: '0.00'
                          queued_total: 100000
                          sent: 100000
                          sent_percentage: '100.00'
                          soft_bounce: 0
                          soft_bounce_percentage: '0.00'
                          spam_complaints_count: 0
                          spam_complaints_percentage: '0.00'
                          unsubscribe: 307
                          unsubscribe_percentage: '1.97'
                        rule:
                          contacts_order: first
                          limit: ''
                        scheduled_date:
                          date: '2021-04-27 17:14:15'
                          timezone: Asia/Kolkata
                        sender:
                          sender_email: sender@yourdomain.com
                          sender_name: Sender Name Shan
                        start_date: '2021-04-27 11:47:04'
                        status: Finished
                        status_change_date: '2021-04-27 15:07:02'
                        status_change_message: ''
                        subject: Pizza
                        tag: Pizz noodles
                        time_rule: {}
                        type: Normal campaign
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      field:
                        type: string
                        minLength: 1
                      message:
                        type: string
                        minLength: 1
              examples:
                example-1:
                  value:
                    error:
                      field: sort_order
                      message: Invalid sort_order
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                          minLength: 1
              examples:
                example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````